Subject: Re: 24.4.50; python-shell-completion-get-completions returns "\n"

From: Malyshev Artem <[email-masked]>
Date: Mon, 7 Apr 2014 09:31:54 +0400

This problem occurs with IPython only.
Thanks for fixing this.

On Mon, Apr 7, 2014 at 2:14 AM, Richard Kim <[email-masked]> wrote:

> I added [email-masked] to CC list, because he is the author
> of company-inf-python package in question.
>
> The problem statement is followed by a possible fix as well as
> more detailed discussio of the problem.
>
> The problem is that the last item in the list returned by
> python-shell-completion-get-completions is "\n" which is not a valid
> completion candidate.  This problem was encountered when completing a
> python name using company.el along with company-info-python.el add-on
> package.
>
> Following is a patch to lisp/progmodes/python.el that modifies the
> regular expression at the end of python-shell-completion-get-completions
> function which fixes the problem for me where I added 4-space
> indentation for cosmetic reasons:
>
>     diff --git a/lisp/progmodes/python.el b/lisp/progmodes/python.el
>     index b0102c5..2ffd778 100644
>     --- a/lisp/progmodes/python.el
>     +++ b/lisp/progmodes/python.el
>     @@ -2467,7 +2467,7 @@ LINE is used to detect the context on how to
> complete given INPUT."
>                                     (format completion-code input)
> process)))
>                   (and (> (length completions) 2)
>                        (split-string completions
>     -                                "^'\\|^\"\\|;\\|'$\\|\"$" t)))))))
>     +                                "^'\\|^\"\\|;\\|\n\\|'$\\|\"$"
> t)))))))
>
>      (defun python-shell-completion-complete-at-point (&optional process)
>        "Perform completion at point in inferior Python.
>
> The change above is to add "\\|\n" portion to the regexp which is used
> as the separator regexp passed to split-string function.
>
> This change fixes the problem that I ran into using my own build of
> emacs using company-inf-python.el third-party package at
> https://github.com/proofit404/company-inf-python
>
> company-inf-python-candidates function defined in company-inf-python.el
> calls python-shell-completion-get-completions to get a list of possible
> name completions.  For example when I type "sys.ex" to python prompt in
> my *Python* buffer running ipython as shown here
>
>     In [5]: sys.ex
>
> then python-shell-completion-get-completions returns the following
> without the proposed change:
>
>     ("sys.exc_clear" "sys.exc_info" "sys.exc_type" "sys.excepthook"
>      "sys.exec_prefix" "sys.executable" "sys.exit" "sys.exitfunc" "\n")
>
> where I added a newline for cosmetic reason.  The last item is "\n".
> This does not seem to be correct since "\n" is not a valid completion
> candidate.  Adding "\\|\n" regexp fragment as detailed above gets rid of
> the problematic "\n" item from the output.  This in turn allows code in
> company-inf-python.el to continue without errors.  Without the proposed
> fix, the completion fails and following is found in *Messages* buffer:
>
>     company-inf-python-candidates
>     Company: An error occurred in auto-begin
>     Company: Back-end company-inf-python error "Args out of range: "
>     ", 4, nil" with args (candidates ex)
>
> The error arise within company-inf-python-candidates when
> (substring "\n" 4) expression is evaluated.
>
>
> In GNU Emacs 24.4.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.10)
>  of 2014-04-05 on kimr-e6410
> Windowing system distributor `The X.Org Foundation', version 11.0.11103000
> System Description:     Ubuntu 12.04.4 LTS
>
> Configured using:
>  `configure --prefix /u/kimr/usr'
>
> Configured features:
> XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GCONF GSETTINGS NOTIFY GNUTLS
> LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
>
> Important settings:
>   value of $LC_MONETARY: en_US.UTF-8
>   value of $LC_NUMERIC: en_US.UTF-8
>   value of $LC_TIME: en_US.UTF-8
>   value of $LANG: en_US.UTF-8
>   locale-coding-system: utf-8-unix
>
> Major mode: Fundamental
>
> Minor modes in effect:
>   magit-auto-revert-mode: t
>   shell-dirtrack-mode: t
>   diff-auto-refine-mode: t
>   display-time-mode: t
>   global-ede-mode: t
>   ede-minor-mode: t
>   yas-global-mode: t
>   yas-minor-mode: t
>   global-company-mode: t
>   company-mode: t
>   global-auto-complete-mode: t
>   tooltip-mode: t
>   electric-indent-mode: t
>   mouse-wheel-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>
>
> Load-path shadows:
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/mime-w3m hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/mime-w3m
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-symbol hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-symbol
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-image hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-image
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-search hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-search
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/octet hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/octet
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-favicon hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-favicon
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-session hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-session
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-bookmark hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-bookmark
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-ccl hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-ccl
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-fb hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-fb
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-lnum hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-lnum
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-antenna hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-antenna
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-namazu hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-namazu
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3mhack hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3mhack
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-filter hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-filter
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-xmas hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-xmas
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/bookmark-w3m hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/bookmark-w3m
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-proc hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-proc
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-form hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-form
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-dtree hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-dtree
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-bug hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-bug
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-util hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-util
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-hist hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-hist
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-cookie hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-cookie
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-weather hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-weather
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-mail hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-mail
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-perldoc hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-perldoc
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-ems hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-ems
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-tabmenu hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-tabmenu
> /home/kimr/elisp/.cask/24.4.50/elpa/emacs-w3m-20130205/w3m-rss hides
> /home/kimr/elisp/.cask/24.4.50/elpa/w3m-20140330.1933/w3m-rss
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-calc hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-calc
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-eval hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-eval
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-lob hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-lob
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-install hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-install
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-macs hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-macs
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-C hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-C
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-gnus hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-gnus
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ox-ascii hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ox-ascii
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-fortran hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-fortran
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-matlab hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-matlab
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-bibtex hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-bibtex
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-plantuml hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-plantuml
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-id hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-id
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-R hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-R
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-habit hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-habit
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-screen hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-screen
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-gnuplot hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-gnuplot
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-emacs-lisp hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-emacs-lisp
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-attach hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-attach
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-faces hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-faces
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-inlinetask hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-inlinetask
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-capture hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-capture
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-eshell hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-eshell
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-scala hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-scala
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-list hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-list
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-mhe hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-mhe
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-mouse hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-mouse
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-ocaml hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-ocaml
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-plot hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-plot
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ox-texinfo hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ox-texinfo
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-asymptote hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-asymptote
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-bbdb hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-bbdb
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-compat hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-compat
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ox-icalendar hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ox-icalendar
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-table hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-table
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-clock hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-clock
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-macro hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-macro
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-clojure hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-clojure
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-archive hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-archive
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ox-odt hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ox-odt
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-java hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-java
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-keys hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-keys
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-sql hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-sql
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-core hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-core
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-w3m hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-w3m
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-crypt hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-crypt
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-python hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-python
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-protocol hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-protocol
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-pcomplete hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-pcomplete
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-maxima hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-maxima
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-feed hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-feed
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-makefile hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-makefile
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ox-md hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ox-md
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-info hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-info
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-shen hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-shen
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-io hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-io
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-js hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-js
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ox-beamer hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ox-beamer
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-irc hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-irc
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-sh hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-sh
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ox-html hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ox-html
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-latex hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-latex
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ox-publish hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ox-publish
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-scheme hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-scheme
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-timer hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-timer
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-ledger hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-ledger
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-mscgen hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-mscgen
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-exp hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-exp
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-haskell hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-haskell
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-lisp hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-lisp
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-rmail hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-rmail
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-footnote hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-footnote
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-comint hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-comint
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-ditaa hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-ditaa
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-src hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-src
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-tangle hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-tangle
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ox-latex hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ox-latex
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-sass hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-sass
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-org hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-org
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-element hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-element
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-css hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-css
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-dot hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-dot
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-picolisp hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-picolisp
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ox-org hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ox-org
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-indent hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-indent
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-agenda hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-agenda
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-docview hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-docview
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-awk hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-awk
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ox hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ox
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-datetree hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-datetree
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-octave hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-octave
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-ref hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-ref
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-entities hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-entities
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-ctags hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-ctags
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-lilypond hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-lilypond
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ox-man hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ox-man
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-sqlite hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-sqlite
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-loaddefs hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-loaddefs
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-version hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-version
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-mobile hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-mobile
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-ruby hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-ruby
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-table hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-table
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/ob-perl hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/ob-perl
> /home/kimr/elisp/.cask/24.4.50/elpa/org-20140331/org-colview hides
> /u/kimr/usr/share/emacs/24.4.50/lisp/org/org-colview
>
> Features:
> (shadow bbdb-message mail-extr emacsbug bookmark pcase eieio-opt
> epa-file semantic/lex-spp semantic/util-modes semantic/util semantic
> semantic/tag semantic/lex semantic/fw mode-local conf-mode debug
> xgit-log-edit magit-key-mode magit iswitchb ido esh-var esh-io esh-cmd
> esh-opt esh-ext esh-proc esh-arg eldoc esh-groups eshell esh-module
> esh-mode esh-util view tramp tramp-compat tramp-loaddefs trampver grep
> compile epa derived autorevert filenotify git-rebase-mode
> git-commit-mode server log-edit pcvs-util sort mule-util mm-archive
> message rfc822 mml mml-sec gmm-utils mailheader mm-decode mm-bodies
> mm-encode network-stream url-http tls mail-parse rfc2231 url-gw
> url-cache url-auth url-handlers finder-inf anaconda-mode url url-proxy
> url-privacy url-expand url-methods url-history url-cookie url-domsuf
> mailcap browse-url epg epg-config tla smerge-mode dvc-state dvc-config
> diff tla-gnus dvc-gnus dvc-cmenu dvc-about dvc-version make-mode
> ede/emacs shell misearch multi-isearch dired-aux ede/dired kimr-startup
> tempo org-crypt info-look smtpmail sendmail rfc2047 rfc2045 ietf-drums
> starttls gnus gnus-ems nnheader mail-utils holidays hol-loaddefs
> ede/cpp-root xgit-dvc xgit cus-edit cus-start cus-load xgit-annotate
> rect dvc-annotate xgit-log dvc-revlist dvc-diff dvc-fileinfo bzr-core
> tla-core pp tla-autoconf tla-defs dvc-log vc vc-dispatcher ffap
> thingatpt add-log diff-mode ediff-merg ediff-wind ediff-diff ediff-mult
> ediff-help ediff-init ediff-util ediff xdarcs-core xgit-core xhg-core
> xmtn-minimal appt diary-lib diary-loaddefs time ede/speedbar ede/files
> ede ede/base ede/auto ede/source eieio-base eieio-speedbar speedbar
> sb-image ezimage dframe eieio-custom wid-edit cedet hi-lock
> kimr-packages yasnippet help-mode warnings ropemacs pymacs mmm-mode
> mmm-univ mmm-class mmm-region mmm-auto mmm-vars mmm-utils mmm-compat
> helm-config helm-aliases cc-mode cc-fonts cc-guess cc-menus cc-cmds
> cc-styles cc-align cc-engine cc-vars cc-defs company-inf-python cl
> python company-files company-oddmuse company-keywords company-etags
> etags company-gtags company-dabbrev-code company-dabbrev company-capf
> company-cmake company-ropemacs company-xcode company-clang
> company-semantic company-eclim company-template company-css company-nxml
> company-bbdb company bbdb-com crm mailabbrev bbdb bbdb-site timezone
> auto-complete-config auto-complete popup dvc-unified dvc-tips dvc-core
> dvc-lisp dvc-buffers dvc-ui dired-x dvc-register dvc-utils dvc-emacs
> ewoc dvc-defs dvc-site edmacro kmacro org-location-google-maps
> org-agenda google-maps google-maps-static url-util url-parse auth-source
> eieio eieio-core mm-util mail-prsvr password-cache url-vars
> google-maps-geocode google-maps-base info cask cl-macs gv cask-bootstrap
> package-build json-fix json lisp-mnt shut-up epl git commander f dash s
> package image-file tabify vc-git org-element org-rmail org-mhe org-irc
> org-info org-gnus gnus-util org-docview doc-view jka-compr image-mode
> dired cl-loaddefs cl-lib org-bibtex bibtex org-bbdb org-w3m org byte-opt
> bytecomp byte-compile cconv advice help-fns org-macro org-footnote
> org-pcomplete pcomplete org-list org-faces org-entities noutline outline
> easy-mmode org-version ob-emacs-lisp ob ob-tangle org-src ob-ref ob-lob
> ob-table ob-keys ob-exp ob-comint comint ansi-color ring ob-core ob-eval
> org-compat org-macs org-loaddefs format-spec find-func cal-menu easymenu
> calendar cal-loaddefs time-date tooltip electric uniquify ediff-hook
> vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image
> regexp-opt fringe tabulated-list newcomment lisp-mode prog-mode register
> page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
> font-lock syntax facemenu font-core frame cham georgian utf-8-lang
> misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
> greek romanian slovak czech european ethiopic indian cyrillic chinese
> case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
> loaddefs button faces cus-face macroexp files text-properties overlay
> sha1 md5 base64 format env code-pages mule custom widget
> hashtable-print-readable backquote make-network-process dbusbind
> gfilenotify dynamic-setting system-font-setting font-render-setting
> move-toolbar gtk x-toolkit x multi-tty emacs)
>
> Memory information:
> ((conses 16 1231716 82148)
>  (symbols 48 59085 0)
>  (miscs 40 1947 2367)
>  (strings 32 301582 7953)
>  (string-bytes 1 5603931)
>  (vectors 16 62306)
>  (vector-slots 8 1759933 45871)
>  (floats 8 672 2275)
>  (intervals 56 88082 484)
>  (buffers 960 61)
>  (heap 1024 87400 3641))
>
>
>
>